#!/bin/bash
#####################################################################################################################
# Description : This script installs all the necessary files (libraries, firmwares, udev, include) on Linux machine. 
# Written by  : Jan Soldan (astrosoft@email.cz)
# Version     : 1.03
# Date        : 11/2017
#####################################################################################################################

# uninstall QHYCCD SDK

rm -f  /lib/udev/rules.d/85-qhyccd.rules

rm -f  /etc/udev/rules.d/85-qhyccd.rules

rm -f  /sbin/fxload

rm -rf  /usr/local/cmake_modules

rm -f  /usr/local/doc/HowTo_QHYCCD_SDK_CrossPlatform.pdf

rm -rf /usr/local/fx3load

rm -f  /usr/local/include/config.h
rm -f  /usr/local/include/qhyccd*.h

rm -f  /usr/local/lib/libqhyccd*
rm -rf  /usr/local/lib/qhy

rm -rf /usr/local/testapp/*

rm -f  /usr/local/udev/85-qhyccd.rules

rm -f  /usr/share/usb/a3load.hex
